Webhooks

Get a delivery

Fetches one delivery with its payload and every attempt.

GET
/v1/webhooks/{id}/deliveries/{deliveryId}

Fetches one delivery with its payload and every attempt.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Path Parameters

id*string
deliveryId*string

Response Body

The delivery.

application/json
Example Request
curl -X GET 'https://api.appstractone.com/v1/webhooks/string/deliveries/string'
Example Response
{
  "id": "whd_01M6MK2Q8YV4J3Z6Q1H0T7R5PB",
  "endpointId": "whe_01M6MJSC366MMHPMM73ABCM5JA",
  "eventId": "evt_01M6MK2Q8YV4J3Z6Q1H0T7R5PA",
  "type": "message.delivered",
  "status": "delivered",
  "attempts": 1,
  "responseCode": 200,
  "lastError": null,
  "nextAttemptAt": null,
  "deliveredAt": "2026-11-05T00:48:02.114Z",
  "createdAt": "2026-11-05T00:48:01.902Z",
  "payload": {
    "id": "evt_01M6MK2Q8YV4J3Z6Q1H0T7R5PA",
    "type": "message.delivered",
    "createdAt": "2026-11-05T00:48:01.902Z",
    "data": {
      "id": "msg_01M6MJSBV7KXZGYK5TZGGA0P6R",
      "to": "+233241234567",
      "from": "MYSHOP",
      "status": "delivered",
      "segments": 1,
      "reference": "order-1042",
      "batchId": null,
      "errorCode": null,
      "refunded": false
    }
  },
  "attemptLog": [
    {
      "responseCode": 200,
      "error": null,
      "durationMs": 184,
      "createdAt": "2026-11-05T00:48:02.114Z"
    }
  ]
}